<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
<META NAME="Generator" CONTENT="MS Exchange Server version 6.5.7650.28">
<TITLE>RE: [torquedev] error while loading shared libraries: libtorque.so.0</TITLE>
</HEAD>
<BODY>
<!-- Converted from text/plain format -->

<P><FONT SIZE=2>Check the permissions of the installed libraries. On my setup, these<BR>
are in /usr/local/lib<BR>
<BR>
$ls /usr/local/lib -l<BR>
lrwxrwxrwx&nbsp; 1 craigm grad&nbsp;&nbsp;&nbsp;&nbsp; 18 Oct&nbsp; 5 13:53 libtorque.so.0 -&gt; libtorque.so.0.0.0<BR>
-rwxr-xr-x&nbsp; 1 root&nbsp;&nbsp; root 472640 Oct&nbsp; 4 20:12 libtorque.so.0.0.0<BR>
<BR>
You also need to ensure that the linker knows where the libraries<BR>
are. Does LD_LIBRARY_PATH=/path/to/torque/lib qstat work as a normal user?<BR>
<BR>
On my SL4.3 setup, i added a file in /etc/ld.so.conf.d<BR>
$cat /etc/ld.so.conf.d/torque.conf<BR>
/usr/local/lib<BR>
<BR>
Then run ldconfig as root.<BR>
<BR>
C<BR>
<BR>
<BR>
-----Original Message-----<BR>
From: torquedev-bounces@supercluster.org on behalf of RaphaŽl Leplae<BR>
Sent: Fri 3/2/2007 9:26 AM<BR>
To: torquedev@supercluster.org<BR>
Subject: [torquedev] error while loading shared libraries: libtorque.so.0<BR>
<BR>
Dear all,<BR>
<BR>
I just upgraded to torque-2.1.7.<BR>
The installation works ok on the cluster gateway which is has Scientific<BR>
Linux (Linux 2.4.21-32.0.1.ELsmp).<BR>
I installed the clients on another machine for the users submitting jobs<BR>
&nbsp; which is running Suse 9.2 (Linux 2.6.8-24.25-bigsmp #1 SMP).<BR>
On that machine I used configure as follow:<BR>
./configure --with-default-server=arthur --disable-mom --disable-server<BR>
--without-readline<BR>
Where arthur is the gateway running pbs_server and maui and<BR>
--without-readline because torque doesn't compile otherwise although<BR>
readline-5.2 is installed.<BR>
Compilation and installation went ok but then as standard user, running<BR>
for example qstat gives:<BR>
/usr/local/sbin/pbs_iff: error while loading shared libraries:<BR>
libtorque.so.0: cannot open shared object file: No such file or directory<BR>
The libtorque.so is installed in /usr/local/lib and running the command<BR>
as root works.<BR>
Previous installation (torque-2.0.0p7) was working properly.<BR>
<BR>
Any idea of what might be wrong with this one?<BR>
<BR>
Thanks in advance,<BR>
<BR>
Raphael<BR>
<BR>
_______________________________________________<BR>
torquedev mailing list<BR>
torquedev@supercluster.org<BR>
<A HREF="http://www.supercluster.org/mailman/listinfo/torquedev">http://www.supercluster.org/mailman/listinfo/torquedev</A><BR>
<BR>
</FONT>
</P>

</BODY>
</HTML>